package ru.dbotthepony.mc.otm.client

import net.minecraft.client.Minecraft
import net.minecraft.client.gui.Font
import net.minecraft.client.resources.sounds.SimpleSoundInstance
import net.minecraft.sounds.SoundEvents

inline val minecraft: Minecraft get() = Minecraft.getInstance()
inline val font: Font get() = minecraft.font

fun playGuiClickSound() {
	minecraft.soundManager.play(SimpleSoundInstance.forUI(SoundEvents.UI_BUTTON_CLICK, 1.0f))
}
