package ru.dbotthepony.mc.otm.menu.widget

import net.minecraft.world.inventory.ContainerData
import ru.dbotthepony.mc.otm.menu.MatteryMenu

abstract class AbstractWidget constructor(
	@JvmField val menu: MatteryMenu,
) {
	val slotID: Int = menu.addWidget(this)

	abstract fun updateServer()

	protected fun addDataSlots(slots: ContainerData) {
		menu.addDataSlots(slots)
	}
}
